Subject: Re: bug#59057: Emacs 29. Byte compiler sometimes forgets about a defvar.

From: Stefan Monnier <[email-masked]>
Date: Thu, 24 Nov 2022 15:36:17 -0500

> I guess defvar will have to stay as it is.  But would it make sense to
> add a new `declare-variable' function, and then document the form
>
>     (defvar <foo>)
>
> to be considered deprecated?

I don't see any concrete benefit.  It's only a problem of documentation
and/or teaching programmers.  If we could go back to 1984 maybe it would
be worth it to make a different decision, but the cost of the change
doesn't seem worth the very minor (and hypothetical) benefit.

        Stefan